## ros-melodic-qb-device-gazebo 3.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
project(qb_device_gazebo VERSION 3.0.5 LANGUAGES CXX)

# Dependency Settings
find_package(catkin REQUIRED
  COMPONENTS
    roscpp
    gazebo_ros_control
    controller_manager
)
find_package(gazebo REQUIRED)

include_directories(include
  ${catkin_INCLUDE_DIRS}
  ${GAZEBO_INCLUDE_DIRS}
)

link_directories(${GAZEBO_LIBRARY_DIRS})

catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES
    combined_robot_hw_sim
  CATKIN_DEPENDS
    roscpp
    controller_manager
    gazebo_ros_control
)

# Exported libraries
add_library(combined_robot_hw_sim
  src/combined_robot_hw_sim.cpp
)

target_link_libraries(combined_robot_hw_sim
  ${catkin_LIBRARIES}
)

# C++ Settings
if (CMAKE_VERSION VERSION_LESS "3.1")
  target_compile_options(combined_robot_hw_sim
    PUBLIC
      "-std=c++17"
  )
else ()
  set_property(
    TARGET
      combined_robot_hw_sim
    PROPERTY CXX_STANDARD 17
  )

  set_property(
    TARGET
      combined_robot_hw_sim
    PROPERTY CXX_STANDARD_REQUIRED ON
  )
endif ()

# Installation
install(
  TARGETS combined_robot_hw_sim
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(
  DIRECTORY
    include/qb_device_gazebo/
  DESTINATION
    ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(
  DIRECTORY
    worlds/
  DESTINATION
    ${CATKIN_PACKAGE_SHARE_DESTINATION}/worlds
)

install(
  FILES
    plugin.xml
  DESTINATION
    ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-qb-device-gazebo (3.0.5-2bionic) bionic; urgency=high

  * MINOR FIX: Changed cmake version required in all packages (current version 3.0.2).

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 06 Sep 2022 22:00:00 -0000

ros-melodic-qb-device-gazebo (3.0.4-2bionic) bionic; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Sun, 17 Jul 2022 22:00:00 -0000

ros-melodic-qb-device-gazebo (3.0.3-2bionic) bionic; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 14 Jul 2022 22:00:00 -0000

ros-melodic-qb-device-gazebo (3.0.2-2bionic) bionic; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 06 Jul 2022 22:00:00 -0000

ros-melodic-qb-device-gazebo (3.0.1-2bionic) bionic; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 05 Jul 2022 22:00:00 -0000

ros-melodic-qb-device-gazebo (3.0.0-2bionic) bionic; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 04 Jul 2022 22:00:00 -0000

ros-melodic-qb-device-gazebo (2.3.4-2bionic) bionic; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 07 Apr 2022 22:00:00 -0000

ros-melodic-qb-device-gazebo (2.3.3-2bionic) bionic; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 07 Apr 2022 22:00:00 -0000

ros-melodic-qb-device-gazebo (2.3.2-2bionic) bionic; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 07 Apr 2022 22:00:00 -0000

ros-melodic-qb-device-gazebo (2.3.1-2bionic) bionic; urgency=high

  * Modified C++ standard

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 07 Apr 2022 22:00:00 -0000

ros-melodic-qb-device-gazebo (2.3.0-2bionic) bionic; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 07 Apr 2022 22:00:00 -0000

ros-melodic-qb-device-gazebo (2.2.1-2bionic) bionic; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 26 Aug 2021 22:00:00 -0000

ros-melodic-qb-device-gazebo (2.2.0-2bionic) bionic; urgency=high

  * Added changelog file
  * Refactor Gazebo plugin to prepare for SoftHand simulation

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 26 Aug 2021 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-qb-device-gazebo
Section: misc
Priority: optional
Maintainer: Alessandro Tondo <alessandro.tondo@qbrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-controller-manager, ros-melodic-gazebo-ros-control, ros-melodic-roscpp
Homepage: http://wiki.ros.org/qb_device_gazebo
Standards-Version: 3.9.2

Package: ros-melodic-qb-device-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-controller-manager, ros-melodic-gazebo-ros-control, ros-melodic-roscpp
Description: This package contains the Gazebo ROS control custom dependencies for qbrobotics® devices.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-qb-device-gazebo//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
